%define rname activeldap
%define name ruby-%{rname}
%define version 0.5.5
%define release 2mdk

Summary: Object oriented interface to Ruby/LDAP
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://dataspill.org/posts/show/4
Source0: http://rubyforge.org/frs/download.php/1763/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8.1
Requires: ruby-ldap ruby-log4r
BuildRequires: ruby-devel
BuildArch: noarch

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
Ruby/ActiveLDAP is an object-oriented interface to LDAP written in Ruby. It
is a wrapper around Ruby/LDAP with its interface inspired by ActiveRecord.

Ruby/ActiveLDAP dynamically parses the LDAP server's schema based on the 
objectClasses an entry has. It then exposes the LDAP attributes as methods
on the object. This means that if you update the objectClass on an object,
the methods/attributes available for changing are automatically updated.

%prep
%setup -q 
ruby setup.rb config --prefix=$RPM_BUILD_ROOT%{_prefix}
ruby setup.rb setup

%build

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
ruby setup.rb install

%files
%defattr(-,root,root)
%{ruby_libdir}/activeldap*
%doc COPYING README LICENSE CHANGES examples tests doc

%changelog
* Thu Mar 31 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.5-2mdk
- lib64 fix

* Mon Feb 21 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.5-1mdk
- 0.5.5

* Wed Jan 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.3-1mdk 
- first mdk release
